RX Post Production Suite System Requirements

Latest version: RX Post Production Suite 1.02 released August 9, 2016.

RX 5 Audio Editor System Requirements

Operating system requirements:

RX 5 Audio Editor runs as a standalone application, or as a suite of plug-ins for your DAW or NLE.

  • Mac OS X 10.8 - 10.12
  • Windows 7, 8, and 10

Plug-in formats:

  • Audiosuite DPM & AAX
  • AU 32 & 64 bit
  • VST 2 32 & 64 bit
  • RTAS 32 bit
  • AAX 64 bit

Host compatibility:

In addition to being available in RX 5 Audio Editor's standalone mode, the modules are also compatible as plug-ins for popular hosts like

RX Final Mix

Operating system requirements:

RX Final Mix runs as a plug-in for your video or audio editing software.

  • Windows: 7, 8 and 10
  • Mac: OS X 10.7-10.12 (Intel only)

Plug-in formats:

Audiosuite DPM and AAX, RTAS 32 bit, AAX 64 bit, AU, VST 2 and VST 3 32/64 bit.

Host compatibility:

RX Final Mix is currently compatible as a plug-in for many audio and video editors, including:

  • Pro Tools 10-12
  • Nuendo 6.5
  • Premiere Pro CC 2014 and 2015
  • Media Composer 7.0.4 & 8.4
  • Final Cut X
  • Audition CC 2014 and 2015
  • Logic X
  • Cubase 7.5 & 8
  • RX 4

VST, VST 3, AAX, RTAS, and AudioSuite will support mono, stereo, 5.0, 5.1, 7.0, and 7.1. AU will support mono up to stereo only. For hosts that support both VST and AU, surround functionality can be used via VST. For AU-exclusive hosts, namely Final Cut and Logic, RX Final Mix supports stereo only.

RX Loudness Control

Operating system requirements:

RX Loudness Control runs as a plug-in for your video or audio editing software.

  • Windows: 7, 8 and 10
  • Mac: OS X 10.7-10.12 (Intel only)

Plug-in formats:

AudioSuite DPM & AAX, Adobe Extension for Premiere Pro CC, and Adobe Extension for Media Encoder CC.

Host compatibility:

RX Loudness Control is currently compatible as plug-ins for Pro Tools 10-12, Media Composer 7.0.4 and 8.3.1, and Premiere Pro CC. Although we support CC 2015, you will have to manually move the presets from the old location to the new location in order to load them. Additional host support is under development. (Don't see your preferred editing software? Let us know!)

Insight

Supported operating systems:

  • Windows: XP (32-bit Service Pack 3), Vista (64-bit), 7, 8, 10 
  • Mac: OS X 10.6.8–10.12

Plug-in formats:

Pro Tools 7.4–12 (RTAS, AudioSuite, 64-bit AAX), VST, VST3, Audio Unit

Plug-in host compatibility:

Compatible with both 32-bit and 64-bit hosts, like Pro Tools 7.4+, Avid Media Composer, Nuendo, Cubase, WaveLab, Logic, EDIUS Pro 6.5, Final Cut Pro X, Audition, Premiere Pro (Surround only), SONAR, REAPER, Digital Performer, Sound Forge Pro, Vegas Pro, and many more.

Graphics card requirements:

For use of the scrolling 3D Spectrogram, Insight requires a graphics card that supports Open GL 2.0

©Copyright 2001-2016, iZotope, Inc. All Rights reserved.
License Agreement | Privacy Policy